Bug 44201 - Sheet not cloneable when Validation list added to excel cell
Summary: Sheet not cloneable when Validation list added to excel cell
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.0-dev
Hardware: PC Windows Server 2003
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-10 10:36 UTC by Steven Geens
Modified: 2008-01-15 08:42 UTC (History)
1 user (show)



Attachments
Testcase for problem (3.02 KB, application/zip)
2008-01-10 10:37 UTC, Steven Geens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Geens 2008-01-10 10:36:32 UTC
When trying to call the clonesheet method for a sheet that contains a note,
the following exception is thrown:
The class org.apache.poi.hssf.record.DVRecord needs to define a clone method

The problem occured with the latest trunk SVN build (CET 2008/01/10 19:34).

This seems to be related to bug 44200.
Comment 1 Steven Geens 2008-01-10 10:37:42 UTC
Created attachment 21375 [details]
Testcase for problem

A simple testcase to illustrate the bug.
Code copied from the bug 44200, different excel sheet created.
Comment 2 Steven Geens 2008-01-10 10:39:51 UTC
Original description incorrect:

When trying to call the clonesheet method for a sheet that contains a note,
the following exception is thrown:

should be:

When trying to call the clonesheet method for a sheet that contains a validation
list, the following exception is thrown:
Comment 3 Nick Burch 2008-01-15 08:42:55 UTC
Thanks for the failing test and file, now fixed in svn trunk